Jump to content

Search the Community

Showing results for tags 'combo box'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 1 result

  1. PeterPan9720

    Combo Box Poluation

    Hi to all, it seem very simple but I'm no able to solve this issue: I want to populate a ComboBox by the data incoming from a multidimensional array (4 columns by n rows) created by results of selecting block attributes inside a drawing. Private Sub UserForm_Activate() Set oBlock = ThisDrawing.ActiveLayout.Block I = 0 ReDim Preserve MyArr(3, I) MyArr(0, I) = "GS_INTCODE" MyArr(1, I) = "GS_Origine X" MyArr(2, I) = "GS_Origine Y" MyArr(3, I) = "GS_Origine Z" CercaCodiceGLASS.ListaCodiciGlass.List = MyArr I = 1 For ICount = 0 To oBlock.Count - 1 Set oEnt = oBlock.Item(ICount) If TypeOf oEnt Is McadPartReference Then Set oblkRef = oEnt DATA = oblkRef.DATA For IntCode = LBound(DATA) To UBound(DATA) If DATA(IntCode, 0) = "INTERNAL_CODE" Then GS_INTCODE = DATA(IntCode, 1) GS_Origine = oblkRef.Origin ReDim Preserve MyArr(3, I) MyArr(0, I) = GS_INTCODE MyArr(1, I) = GS_Origine(0) MyArr(2, I) = GS_Origine(1) MyArr(3, I) = GS_Origine(2) I = I + 1 End If Next IntCode End If Next ICount With ListaCodiciGlass .Clear .List() = MyArr End With CercaCodiceGLASS.ListaCodiciGlass.ListIndex = 1 End Sub CercaCodiceGLASS it's the userformName ListaCodiciGlass it's the name of combobox to popolate. Combobox it's composed by four columns. The result is the polulation of combobox with just few data instead all data inside the array that are hundred (see picuture below) As second issue I'm not able to insert combobox column header. If you look at the picture seems there is a row header not a columns header. Thank you everybody for support.
×
×
  • Create New...